/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for OphthalmicChannelDescription
 */
public enum EnumCV_OphthalmicChannelDescription 
{
	//CID 4206 Ophthalmic Channel Description
	BLUE_G_A12F("G-A12F"),
	FULL_SPECTRUM_R_102C0("R-102C0"),
	GREEN_G_A11E("G-A11E"),
	INFRARED_R_102BE("R-102BE"),
	RED_G_A11A("G-A11A"),
	RED_FREE_G_A132("G-A132"),
	ULTRAVIOLET_R_102BF("R-102BF");

	private String value;

	EnumCV_OphthalmicChannelDescription(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
